Capacity Assessment
8 operations generated from the Engine OpenAPI schema. Request and response model names can be expanded in the interactive schema.
DELETE /api/v1/capacity-assessment
Stop the active capacity assessment.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse + object |
GET /api/v1/capacity-assessment
Get capacity assessment status.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse + object |
POST /api/v1/capacity-assessment
Start a capacity and reliability assessment.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
assessment | body | route.capacityAssessmentStartInput | Yes | Assessment settings |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse + object |
GET /api/v1/capacity-assessment/capacities
Get server capacity available for an assessment.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
user_id | query | integer | Yes | Streaming user ID |
server_ids | query | string | No | Comma-separated server IDs; empty selects all eligible servers |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/capacity-assessment/pdf
Download or generate a capacity assessment PDF report.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
POST /api/v1/capacity-assessment/pdf
Download or generate a capacity assessment PDF report.
Authentication: Authorization header (ApiKeyAuth)
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | file |
GET /api/v1/capacity-assessment/player
Get capacity assessment player results.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
report | query | string | Yes | Assessment report key |
player | query | integer | No | Optional player ID for request-level details |
job_id | query | string | No | Expected assessment run ID; rejects histories from another run |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |
GET /api/v1/capacity-assessment/resources
List resources available for capacity assessment.
Authentication: Authorization header (ApiKeyAuth)
Parameters
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
user_id | query | integer | Yes | Streaming user ID |
Responses
| Status | Description | Schema |
|---|---|---|
200 | OK | route.APIResponse |